.backgrndgradient {
  /* background-clip: text;
  color: transparent; */
  background-image: linear-gradient(to bottom right, #eab300, #f97316, #0f131a, #3e1963, #8b5cf6,);
  background-size: 500% 100%;
  animation: gradient-tri 18s ease-in-out infinite;
  
  /* height: 10rem;
  width: 10rem; */

  

  @keyframes gradient-x {
  0% { background-position: 0% 50%; }
  100% { background-position: 100% 50%; }
  }

  @keyframes gradient-bi {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
  }

  @keyframes gradient-tri {
  0%    { background-position: 0% 100%; }
  50%   { background-position: 100% 0%; }
  100%  { background-position: 0% 100%; }
}
}

.headeranimationlinear {
  animation: gradient-bi 19s ease-in-out infinite;
  background-image: linear-gradient(to bottom right,#0f131a, #f97316, #eab300, #f97316, #0f131a, #3e1963, #8b5cf6, #3e1963, #0f131a,#3e1963, #f97316, #eab300,#f97316,#0f131a);
  background-size: 300% 200%;
  color: transparent;
  height: fit-content;
  /* width: fit-content; */
  width: 100%;

  @keyframes gradient-x {
    0%   { background-position: 0% 0%; }
    50%  { background-position: 100% 100%;}
    100% { background-position: 0% 0%; }
  }
  
  @keyframes gradient-bi {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
  }

  @keyframes gradient-tri {
    0%    { background-position: 0% 100%; }
    50%   { background-position: 100% 0%; }
    100%  { background-position: 0% 100%; }
  }
}

div.be4afta::before {
  content: "Before";
}

div.be4afta::after {
  content: "After";
}

/* :before {
  content: '';
  // position: absolute;
  position: fixed;
    
  filter: blur(6rem);
  opacity: 33%;

  //This property sets the background of the pseudo-element to be the same as its parent element. 
  //The inherit value means that the property takes the same computed value as the property for the element’s parent.
  background: inherit;
  background-clip: padding-box;
  top: -1.5rem;
  right: -1.5rem;
  bottom: -1.5rem;
  left: -1.5rem;

  border: inherit;
  
  // Sets the color of the border to be transparent, meaning it will not be visible. 
  // However, since the pseudo-element’s background is set to inherit the parent’s background, the border will actually show a blurred version of the parent’s background.
  border-color: transparent; 
  
} */
